Subject: bug#21380: 25.0.50; GTK-induced segfault when scheduling timer from window-configuration-change-hook

From: Pip Cet <[email-masked]>
Date: Fri, 29 Apr 2022 15:02:43 +0000

On Fri, Apr 29, 2022 at 1:44 PM Po Lu <[email-masked]> wrote:
> Eli Zaretskii <[email-masked]> writes:
> > IOW, the problem is not that Lisp isn't supposed to run in this
> > situation, the problem is that we examine and modify Vtimer_list, so
> > we cannot allow any code that could potentially modify that behind our
> > backs while we are at that.
>
> Hmm, okay, thanks for explaining.  I guess some code called by the input
> polling atimer eventually ends up modifying `timer-list' when input
> polling is enabled.

Thanks for looking into this! I'm not sure I thought about the way
unblock_input will sometimes read asynchronous input, which might make
unlikely segfaults like this one more likely if we're not careful.

But I must confess I no longer remember the details here clearly.

Pip